Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.tags
Class CatalogQueryTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.beasys.commerce.ebusiness.catalog.tags.CatalogQueryTag

All Implemented Interfaces
  AdviceConstants, AdviceRequestConstants, CatalogRuleConstants, Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Deprecated

    @Deprecated
    public class CatalogQueryTag

extends javax.servlet.jsp.tagext.TagSupport
implements AdviceConstants, AdviceRequestConstants, CatalogRuleConstants

The tag handler of the catalogQuery. The catalogQuery tag allows arbitrary personalized content to be selected based on a catalog query.

See Also
  Serialized Form

Field Summary
`String` | `catalogManagerName` Deprecated The CatalogManagerName to use for querying.
`String` | `expression` Deprecated The expression for an expression search.
`String` | `id` Deprecated The identifier that holds the results of the CatalogQuery.
`String` | `keywords` Deprecated The keywords for a keyword query.
`int` | `maxResults` Deprecated The maximum number of results to return.
`int` | `viewSize` Deprecated View size in the ViewIterator.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface com.bea.p13n.advisor.AdviceConstants
`RESULTS`

Fields inherited from interface com.bea.p13n.advisor.AdviceRequestConstants
`CATALOG_QUERY_WRAPPER, CONTENT_APPEND_QUERY_STRING, CONTENT_MANAGER, CONTENT_MANAGER_HOME, CONTENT_QUERY_CONTEXT_PARAMS, CONTENT_QUERY_MAX_ITEMS, CONTENT_QUERY_NODE, CONTENT_QUERY_SORT_BY, CONTENT_QUERY_STRING, CONTENT_QUERY_VERSIONED_CONTENT, CONTENT_SEARCH_PATHS, CONTEXT_HANDLER, DATE, HTTP_REQUEST, HTTP_SESSION, NOW, RULES_FILTER_CLASS, RULES_FILTER_CLASS_NAME, RULES_INPUT_OBJECTS, RULES_RULENAME_TO_FIRE, RULES_RULESET_NAME, SHOPPING_CART, TIME, TIME_INSTANT, USER`

Fields inherited from interface com.beasys.commerce.ebusiness.catalog.rules.CatalogRuleConstants
`KEYWORD_QUERY, PRODUCT_ITEM_QUERY`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`CatalogQueryTag()` Deprecated

Method Summary
`int` | `doStartTag()` Deprecated Processes the start tag.
`String` | `getCatalogManagerName()` Deprecated Get the value of catalogManagerName.
`String` | `getExpression()` Deprecated Get the value of expression.
`String` | `getId()` Deprecated Get the value of id.
`protected ViewIterator` | `getItems()` Deprecated Get a ViewIterator over catalog items.
`String` | `getKeywords()` Deprecated Get the value of keywords.
`int` | `getMaxResults()` Deprecated Get the value of maxResults.
`int` | `getViewSize()` Deprecated Get the value of viewSize.
`void` | `release()` Deprecated Clean up.
`void` | `setCatalogManagerName(String v)` Deprecated Set the value of catalogManagerName.
`void` | `setExpression(String v)` Deprecated Set the value of expression.
`void` | `setId(String v)` Deprecated Set the value of id.
`void` | `setKeywords(String v)` Deprecated Set the value of keywords.
`void` | `setMaxResults(int v)` Deprecated Set the value of maxResults.
`void` | `setViewSize(int v)` Deprecated Set the value of viewSize.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### catalogManagerName

    public String catalogManagerName

  Deprecated
  The CatalogManagerName to use for querying.

### maxResults

    public int maxResults

  Deprecated
  The maximum number of results to return.

### viewSize

    public int viewSize

  Deprecated
  View size in the ViewIterator.

### keywords

    public String keywords

  Deprecated
  The keywords for a keyword query.

### expression

    public String expression

  Deprecated
  The expression for an expression search.

### id

    public String id

  Deprecated
  The identifier that holds the results of the CatalogQuery.

Constructor Detail

### CatalogQueryTag

    public CatalogQueryTag()

  Deprecated

Method Detail

### getCatalogManagerName

    public String getCatalogManagerName()

  Deprecated
  Get the value of catalogManagerName.

  Returns
    Value of catalogManagerName.

### setCatalogManagerName

    public void setCatalogManagerName(String v)

  Deprecated
  Set the value of catalogManagerName.

  Parameters
    `v` - Value to assign to catalogManagerName.

### getMaxResults

    public int getMaxResults()

  Deprecated
  Get the value of maxResults.

  Returns
    Value of maxResults.

### setMaxResults

    public void setMaxResults(int v)

  Deprecated
  Set the value of maxResults.

  Parameters
    `v` - Value to assign to maxResults.

### getViewSize

    public int getViewSize()

  Deprecated
  Get the value of viewSize.

  Returns
    Value of viewSize.

### setViewSize

    public void setViewSize(int v)

  Deprecated
  Set the value of viewSize.

  Parameters
    `v` - Value to assign to viewSize.

### getKeywords

    public String getKeywords()

  Deprecated
  Get the value of keywords.

  Returns
    Value of keywords.

### setKeywords

    public void setKeywords(String v)

  Deprecated
  Set the value of keywords.

  Parameters
    `v` - Value to assign to keywords.

### getExpression

    public String getExpression()

  Deprecated
  Get the value of expression.

  Returns
    Value of expression.

### setExpression

    public void setExpression(String v)

  Deprecated
  Set the value of expression.

  Parameters
    `v` - Value to assign to expression.

### getId

    public String getId()

  Deprecated
  Get the value of id.

  Overrides:
    `getId` in class `javax.servlet.jsp.tagext.TagSupport`
  Returns
    Value of id.

### setId

    public void setId(String v)

  Deprecated
  Set the value of id.

  Overrides:
    `setId` in class `javax.servlet.jsp.tagext.TagSupport`
  Parameters
    `v` - Value to assign to id.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Deprecated
  Processes the start tag.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Returns
    The SKIP_BODY constant since this tag does not have a body.
  Throws
    `javax.servlet.jsp.JspTagException` - If the id variable is missing.
    `javax.servlet.jsp.JspException`

### getItems

    protected ViewIterator getItems()
                             throws javax.servlet.jsp.JspTagException

  Deprecated
  Get a ViewIterator over catalog items.

  Returns
    ViewIterator.
  Throws
    `javax.servlet.jsp.JspTagException`

### release

    public void release()

  Deprecated
  Clean up.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved